unit uIDataModuleUsuarios;

interface

uses
  UCBase, UCSettings, uBizUsuarios;

type
  IDataModuleUsuarios = interface
  ['{C0A8481F-4920-414D-A906-EE1EB18DE946}']
    procedure InicializarUserControl (AUserControl : TUserControl);

    function GetUsuario(const ID : Integer) : IBizUsuario;
    function NuevoUsuario : IBizUsuario;
    function GetUsuarios : IBizUsuario;

    function NuevoPerfil : IBizPerfilUsuario;
    function GetPerfiles : IBizPerfilUsuario;
    function GetPerfil(const ID : Integer) : IBizPerfilUsuario;

    function DarTiendaUsuario(const ID_Usuario: Integer; var AID_Tienda: Integer; var ATienda: String) : Boolean;

    function Login(const AUser: String; const APassword: String): Boolean;
    procedure Logout;
  end;

implementation

end.

